C# Class CascadeSharp.TKFillet.ChFi2d.ChFi2d_FilletAlgo

Mostrar archivo Open project: Oblikovati/CascadeSharp Class Usage Examples

Public Methods

Method Description
ChFi2d_FilletAlgo ( ) : System
ChFi2d_FilletAlgo ( ChFi2d_FilletAlgo parameter1 ) : System
ChFi2d_FilletAlgo ( TopoDS_Edge theEdge1, TopoDS_Edge theEdge2, gp_Pln thePlane ) : System
ChFi2d_FilletAlgo ( TopoDS_Wire theWire, gp_Pln thePlane ) : System
FillDiff ( CascadeSharp.TKFillet.ChFi2d.FilletPoint parameter1, double theDiffStep, bool theFront ) : void
FillPoint ( CascadeSharp.TKFillet.ChFi2d.FilletPoint parameter1, double theLimit ) : void
Init ( TopoDS_Edge theEdge1, TopoDS_Edge theEdge2, gp_Pln thePlane ) : void
Init ( TopoDS_Wire theWire, gp_Pln thePlane ) : void
NbResults ( gp_Pnt thePoint ) : int
Perform ( double theRadius ) : bool
PerformNewton ( CascadeSharp.TKFillet.ChFi2d.FilletPoint parameter1, CascadeSharp.TKFillet.ChFi2d.FilletPoint parameter2 ) : void
ProcessPoint ( CascadeSharp.TKFillet.ChFi2d.FilletPoint parameter1, CascadeSharp.TKFillet.ChFi2d.FilletPoint parameter2, double parameter3 ) : bool
Result ( gp_Pnt thePoint, TopoDS_Edge theEdge1, TopoDS_Edge theEdge2 ) : TopoDS_Edge
Result ( gp_Pnt thePoint, TopoDS_Edge theEdge1, TopoDS_Edge theEdge2, int iSolution ) : TopoDS_Edge

Method Details

ChFi2d_FilletAlgo() public method

public ChFi2d_FilletAlgo ( ) : System
return System

ChFi2d_FilletAlgo() public method

public ChFi2d_FilletAlgo ( ChFi2d_FilletAlgo parameter1 ) : System
parameter1 ChFi2d_FilletAlgo
return System

ChFi2d_FilletAlgo() public method

public ChFi2d_FilletAlgo ( TopoDS_Edge theEdge1, TopoDS_Edge theEdge2, gp_Pln thePlane ) : System
theEdge1 TopoDS_Edge
theEdge2 TopoDS_Edge
thePlane gp_Pln
return System

ChFi2d_FilletAlgo() public method

public ChFi2d_FilletAlgo ( TopoDS_Wire theWire, gp_Pln thePlane ) : System
theWire TopoDS_Wire
thePlane gp_Pln
return System

FillDiff() public method

public FillDiff ( CascadeSharp.TKFillet.ChFi2d.FilletPoint parameter1, double theDiffStep, bool theFront ) : void
parameter1 CascadeSharp.TKFillet.ChFi2d.FilletPoint
theDiffStep double
theFront bool
return void

FillPoint() public method

public FillPoint ( CascadeSharp.TKFillet.ChFi2d.FilletPoint parameter1, double theLimit ) : void
parameter1 CascadeSharp.TKFillet.ChFi2d.FilletPoint
theLimit double
return void

Init() public method

public Init ( TopoDS_Edge theEdge1, TopoDS_Edge theEdge2, gp_Pln thePlane ) : void
theEdge1 TopoDS_Edge
theEdge2 TopoDS_Edge
thePlane gp_Pln
return void

Init() public method

public Init ( TopoDS_Wire theWire, gp_Pln thePlane ) : void
theWire TopoDS_Wire
thePlane gp_Pln
return void

NbResults() public method

public NbResults ( gp_Pnt thePoint ) : int
thePoint gp_Pnt
return int

Perform() public method

public Perform ( double theRadius ) : bool
theRadius double
return bool

PerformNewton() public method

public PerformNewton ( CascadeSharp.TKFillet.ChFi2d.FilletPoint parameter1, CascadeSharp.TKFillet.ChFi2d.FilletPoint parameter2 ) : void
parameter1 CascadeSharp.TKFillet.ChFi2d.FilletPoint
parameter2 CascadeSharp.TKFillet.ChFi2d.FilletPoint
return void

ProcessPoint() public method

public ProcessPoint ( CascadeSharp.TKFillet.ChFi2d.FilletPoint parameter1, CascadeSharp.TKFillet.ChFi2d.FilletPoint parameter2, double parameter3 ) : bool
parameter1 CascadeSharp.TKFillet.ChFi2d.FilletPoint
parameter2 CascadeSharp.TKFillet.ChFi2d.FilletPoint
parameter3 double
return bool

Result() public method

public Result ( gp_Pnt thePoint, TopoDS_Edge theEdge1, TopoDS_Edge theEdge2 ) : TopoDS_Edge
thePoint gp_Pnt
theEdge1 TopoDS_Edge
theEdge2 TopoDS_Edge
return TopoDS_Edge

Result() public method

public Result ( gp_Pnt thePoint, TopoDS_Edge theEdge1, TopoDS_Edge theEdge2, int iSolution ) : TopoDS_Edge
thePoint gp_Pnt
theEdge1 TopoDS_Edge
theEdge2 TopoDS_Edge
iSolution int
return TopoDS_Edge